Last Comment Bug 483505 - Tooltips missing in folder pane when feed or mailbox name too wide
: Tooltips missing in folder pane when feed or mailbox name too wide
Status: VERIFIED FIXED
: regression
Product: Thunderbird
Classification: Client Software
Component: Folder and Message Lists (show other bugs)
: Trunk
: x86 Windows XP
: -- minor (vote)
: Thunderbird 25.0
Assigned To: alta88
:
Mentors:
Depends on:
Blocks: 510646 414038
  Show dependency treegraph
 
Reported: 2009-03-15 06:16 PDT by Pete Riley
Modified: 2013-07-23 04:34 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed


Attachments
patch (3.24 KB, patch)
2013-07-12 13:47 PDT, alta88
no flags Details | Diff | Review
patch (4.30 KB, patch)
2013-07-12 14:00 PDT, alta88
bwinton: review+
bwinton: ui‑review+
Details | Diff | Review
for checkin (5.20 KB, patch)
2013-07-15 05:59 PDT, alta88
alta88: review+
alta88: ui‑review+
standard8: approval‑comm‑aurora+
Details | Diff | Review

Description Pete Riley 2009-03-15 06:16:47 PDT
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.0.7) Gecko/2009021910 Firefox/3.0.7 (.NET CLR 3.5.30729)
Build Identifier: Thunderbird 3.0b2

There's no longer a tooltip in the folder pane when a mailbox name is too wide (e.g. when MyMailboxName is displayed as MyMailboxN...).  This used to work in TB 2.x.

Reproducible: Always

Steps to Reproduce:
1. Hold mouse over a cut-off mailbox name that ends with an ellipsis.

Actual Results:  
No tooltip

Expected Results:  
Tooltip with the complete mailbox name.

This might also be a problem with folder/subfolder names, not just mailboxes.
Comment 1 Wayne Mery (:wsmwk, NI for questions) 2009-03-19 12:27:41 PDT
confirmed
Comment 2 Wayne Mery (:wsmwk, NI for questions) 2010-05-03 07:14:38 PDT
does not happen for newsgroups.
Comment 3 alta88 2013-07-12 13:47:29 PDT
Created attachment 774882 [details] [diff] [review]
patch


1. If name is cropped, or abbreviated newsgroup, show the tooltip.
2. New messages summary popup takes precedence over 1.
Comment 4 alta88 2013-07-12 14:00:40 PDT
Created attachment 774899 [details] [diff] [review]
patch


updated to ensure Favorite folder tip takes precedence over crop state.
Comment 5 Blake Winton (:bwinton) (:☕️) 2013-07-14 11:39:08 PDT
Comment on attachment 774899 [details] [diff] [review]
patch

Okay, I think I'm basically happy with this patch.  It would be nice to have some tests for it so that we don't regress it again, though.

r=me, ui-r=me.

Thanks,
Blake.
Comment 6 alta88 2013-07-15 05:59:02 PDT
Created attachment 775618 [details] [diff] [review]
for checkin


(updated with 1 check to also fix current false popup on search folders with no new items.)
Comment 7 Ryan VanderMeulen [:RyanVM] 2013-07-16 11:47:22 PDT
https://hg.mozilla.org/comm-central/rev/03311f1fcd05
Comment 8 :aceman 2013-07-17 05:29:23 PDT
Verified in today's trunk that tooltips on mail folders with ellipsis show with the full folder name.
Comment 9 Mark Banner (:standard8) 2013-07-23 04:34:34 PDT
https://hg.mozilla.org/releases/comm-aurora/rev/7a8c0544bb04

Note You need to log in before you can comment on or make changes to this bug.